<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{3BC85E8B-8A37-4015-B4A8-2D973F8622F1}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Com.Raritan</RootNamespace>
    <AssemblyName>JsonRPC</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DocumentationFile>bin\Release\LightJson.XML</DocumentationFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Com\Raritan\XerusKvm\Idl\AsyncRpcResponse.cs" />
    <Compile Include="Com\Raritan\XerusKvm\Idl\RpcCtrl.cs" />
    <Compile Include="Com\Raritan\XerusKvm\Idl\TypeInfo.cs" />
    <Compile Include="Com\Raritan\XerusKvm\Idl\BulkRpc\JsonObject.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\Agent.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\BulkRequestQueue.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\BulkRpc\JsonObject_Codec.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\ObjectProxy.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\RpcErrorException.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\RpcException.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\RpcFormatException.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\RpcRequestException.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\ValueObject.cs" />
    <Compile Include="Com\Raritan\XerusKvm\JsonRpc\ValueObjectCodec.cs" />
    <Compile Include="Com\Raritan\XerusKvm\Util\AsyncMultiRequest.cs" />
    <Compile Include="Com\Raritan\XerusKvm\Util\AsyncMultiRequestFailure.cs" />
    <Compile Include="Com\Raritan\XerusKvm\Util\AsyncRequest.cs" />
    <Compile Include="Com\Raritan\XerusKvm\Util\DictionaryHelper.cs" />
    <Compile Include="Com\Raritan\XerusKvm\Util\StringUtils.cs" />
    <Compile Include="LightJson\JsonArray.cs" />
    <Compile Include="LightJson\JsonException.cs" />
    <Compile Include="LightJson\JsonObject.cs" />
    <Compile Include="LightJson\JsonValue.cs" />
    <Compile Include="LightJson\JsonValueType.cs" />
    <Compile Include="LightJson\Serialization\JsonParseException.cs" />
    <Compile Include="LightJson\Serialization\JsonReader.cs" />
    <Compile Include="LightJson\Serialization\JsonSerializationException.cs" />
    <Compile Include="LightJson\Serialization\JsonWriter.cs" />
    <Compile Include="LightJson\Serialization\TextPosition.cs" />
    <Compile Include="LightJson\Serialization\TextScanner.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/ImageStatus.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/ImageStatus.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/UpdateFlags.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/UpdateFlags.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateFailedEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateFailedEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/UpdateHistoryStatus.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/UpdateHistoryStatus.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/Firmware_2_0_3.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/Firmware_2_0_3.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/UpdateHistoryEntry.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/UpdateHistoryEntry.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/ImageInfo_1_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/ImageInfo_1_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateCompletedEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateCompletedEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/ImageState.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/ImageState.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/SystemStartupEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/SystemStartupEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/CimFirmwareUpdateStatus.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/CimFirmwareUpdateStatus.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareValidationFailedEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareValidationFailedEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateStartedEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateStartedEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/UpdateStatus.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/UpdateStatus.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateStatus.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/FirmwareUpdateStatus.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/SystemShutdownEvent_1_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/firmware/SystemShutdownEvent_1_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/devsettings/Smtp_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/devsettings/Smtp_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/devsettings/Snmp_1_0_2.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/devsettings/Snmp_1_0_2.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/devsettings/Zeroconf_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/devsettings/Zeroconf_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/Preferences.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/Preferences.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/LengthEnum.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/LengthEnum.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/UserCapabilities.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/UserCapabilities.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountAdded.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountAdded.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/SnmpV3SecLevel.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/SnmpV3SecLevel.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountChanged_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountChanged_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AuxInfo.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AuxInfo.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountRemoved.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountRemoved.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleManager_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleManager_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/UserManager_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/UserManager_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/UserInfo_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/UserInfo_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/Account_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/Account_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleChanged_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleChanged_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleRemoved.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleRemoved.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/SnmpV3PrivProto.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/SnmpV3PrivProto.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleAdded.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/RoleAdded.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/TemperatureEnum.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/TemperatureEnum.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/SnmpV3Settings_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/SnmpV3Settings_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/User_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/User_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/PressureEnum.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/PressureEnum.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/SnmpV3AuthProto.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/SnmpV3AuthProto.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/PasswordChanged.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/PasswordChanged.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountRenamed.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/AccountRenamed.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/Role_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usermgmt/Role_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/rawcfg/RawConfiguration_1_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/rawcfg/RawConfiguration_1_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/datetime/DateTime_3_0_3.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/datetime/DateTime_3_0_3.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/cert/ServerSSLCert_4_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/cert/ServerSSLCert_4_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/diag/DiagLogSettings.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/diag/DiagLogSettings.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/idl/Event.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/idl/Event.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/bulkcfg/BulkConfiguration_1_0_2.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/bulkcfg/BulkConfiguration_1_0_2.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/serial/SerialPort_3_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/serial/SerialPort_3_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/serial/GsmModem_1_0_2.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/serial/GsmModem_1_0_2.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/serial/PortDispatcher_1_2_2.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/serial/PortDispatcher_1_2_2.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/serial/AnalogModem.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/serial/AnalogModem.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/jsonrpc/NameService.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/jsonrpc/NameService.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usb/Usb_1_0_4.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usb/Usb_1_0_4.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usb/UsbDevice_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/usb/UsbDevice_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/res_mon/Entry.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/res_mon/Entry.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/res_mon/ResMon.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/res_mon/ResMon.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/rdm/Rdm.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/rdm/Rdm.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/production/Production_1_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/production/Production_1_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/sys/System.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/sys/System.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/session/Session_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/session/Session_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/session/HistoryEntry.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/session/HistoryEntry.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/session/SessionManager_2_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/session/SessionManager_2_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/bulkrpc/Request.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/bulkrpc/Request.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/bulkrpc/Response.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/bulkrpc/Response.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/bulkrpc/BulkRequest_1_0_2.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/bulkrpc/BulkRequest_1_0_2.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/TypeInfoLib.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/TypeInfoLib.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RoleAccessControl.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RoleAccessControl.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/IpFw_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/IpFw_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHSettings.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHSettings.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/FipsSettings.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/FipsSettings.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/PasswordSettingsChanged.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/PasswordSettingsChanged.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RestrictedServiceAgreementChanged.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RestrictedServiceAgreementChanged.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RestrictedServiceAgreement.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RestrictedServiceAgreement.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/BlockSettings.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/BlockSettings.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RoleAccessPolicy.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RoleAccessPolicy.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/Security_5_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/Security_5_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/FrontPanelPrivilegesChanged.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/FrontPanelPrivilegesChanged.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/IpfwRule.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/IpfwRule.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/TpmInfo.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/TpmInfo.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/PasswordSettings.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/PasswordSettings.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/IpfwPolicy.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/IpfwPolicy.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHKeyFingerprint.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHKeyFingerprint.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RoleAccessRule.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/RoleAccessRule.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHKeyFingerprintType.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHKeyFingerprintType.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHHostKey_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHHostKey_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHHostKeyType_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/security/SSHHostKeyType_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Event.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Event.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Consumer.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Consumer.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Channel_1_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Channel_1_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/KeyValue.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/KeyValue.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/UserEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/UserEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Engine_2_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Engine_2_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Service_1_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/_event/Service_1_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingExpansionUnitPresenceStateChangedEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingExpansionUnitPresenceStateChangedEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Net_8_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Net_8_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanSecProtocol.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanSecProtocol.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanInfo.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanInfo.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/CommonInfo_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/CommonInfo_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceIPv4Info.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceIPv4Info.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EapAuthSettings_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EapAuthSettings_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceIPv6Info.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceIPv6Info.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanSettings_4_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanSettings_4_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthInfo_1_1_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthInfo_1_1_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceSettings_4_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceSettings_4_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthernetFailoverEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthernetFailoverEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Diagnostics_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Diagnostics_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthLinkMode_1_1_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthLinkMode_1_1_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Services.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Services.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/IpConfigMethod.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/IpConfigMethod.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/ServiceSettings.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/ServiceSettings.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthInfoChangedEvent_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthInfoChangedEvent_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthDuplexMode.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthDuplexMode.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthAuthType.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthAuthType.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/IpRoutingSettings_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/IpRoutingSettings_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceInfo_3_1_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceInfo_3_1_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceOpState.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceOpState.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanInfoChangedEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanInfoChangedEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingSettings_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingSettings_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EapInnerAuthMethod_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EapInnerAuthMethod_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EapStatus.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EapStatus.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceType_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceType_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/LinkStateChangedEvent_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/LinkStateChangedEvent_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/IpRoute.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/IpRoute.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/DnsInfo.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/DnsInfo.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/CommonInfoChangedEvent_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/CommonInfoChangedEvent_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/RoutingInfo.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/RoutingInfo.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/IpAddrCidr.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/IpAddrCidr.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceIpSettings_4_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceIpSettings_4_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/DhcpClientIdMode.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/DhcpClientIdMode.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceInfoChangedEvent_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/InterfaceInfoChangedEvent_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/RoutingSettings_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/RoutingSettings_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanChannelWidth.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanChannelWidth.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingProtocolMapping.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingProtocolMapping.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanAuthType_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/WlanAuthType_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Info_3_1_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Info_3_1_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/DnsSettings_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/DnsSettings_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingRole_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingRole_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingInfo_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingInfo_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingPrimaryUnitAddrInfo.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/PortForwardingPrimaryUnitAddrInfo.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/CommonSettings_3_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/CommonSettings_3_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthSettings_4_1_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthSettings_4_1_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Settings_6_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/Settings_6_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EapOuterAuthMethod_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EapOuterAuthMethod_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthSpeed_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/net/EthSpeed_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/cfg/KeyValue.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/cfg/KeyValue.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/cfg/Cfg_1_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/cfg/Cfg_1_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/fitness/Fitness.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/fitness/Fitness.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/fitness/HardwareHealth_1_0_3.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/fitness/HardwareHealth_1_0_3.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/luaservice/ScriptState.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/luaservice/ScriptState.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/luaservice/Manager_2_0_1.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/luaservice/Manager_2_0_1.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/luaservice/Environment_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/luaservice/Environment_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/luaservice/ScriptOptions_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/luaservice/ScriptOptions_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/EventLog_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/EventLog_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/EventLogClearedEvent.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/EventLogClearedEvent.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/DebugLog_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/DebugLog_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/LogEntry.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/LogEntry.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/RangeDirection.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/RangeDirection.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/LogInfo.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/LogInfo.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/LogChunk.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/logging/LogChunk.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/ClientCertAuthManager.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/ClientCertAuthManager.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/LdapManager_4_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/LdapManager_4_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/AuthManager_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/AuthManager_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/RadiusManager_4_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/RadiusManager_4_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/Policy_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/Policy_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/Type_2_0_0.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/auth/Type_2_0_0.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KeySetManager.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KeySetManager.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/DsamDevice.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/DsamDevice.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/OutletPort.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/OutletPort.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/VirtualMediaType.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/VirtualMediaType.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/VideoResolution.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/VideoResolution.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KeyboardLayout.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KeyboardLayout.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PowerSupply.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PowerSupply.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KvmDevice.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KvmDevice.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/LocalPort.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/LocalPort.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KvmPort.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KvmPort.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/LocalMonitor.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/LocalMonitor.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PowerDeviceManager.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PowerDeviceManager.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/Device.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/Device.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/SerialAccessPort.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/SerialAccessPort.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PowerDevice.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PowerDevice.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/DsamDeviceManager.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/DsamDeviceManager.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/AutoScan.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/AutoScan.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PowerOperation.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PowerOperation.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/VirtualMediaChannel.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/VirtualMediaChannel.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/BasePort.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/BasePort.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/UsbProfileSettings.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/UsbProfileSettings.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/AccessPort.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/AccessPort.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PortGroup.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PortGroup.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PortGroupManager.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/PortGroupManager.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KvmChannel.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KvmChannel.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/TerminalBlock.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/TerminalBlock.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KvmManager.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/Idl/radm/KvmManager.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/SystemShutdownEvent_1_0_1_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/SystemShutdownEvent_1_0_1_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareValidationFailedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareValidationFailedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/SystemStartupEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/SystemStartupEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareUpdateCompletedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareUpdateCompletedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareUpdateStartedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareUpdateStartedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareUpdateFailedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareUpdateFailedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareUpdateEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/firmware/FirmwareUpdateEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/devsettings/Zeroconf_2_0_0/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/devsettings/Zeroconf_2_0_0/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/devsettings/Snmp_1_0_2/ConfigurationChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/devsettings/Snmp_1_0_2/ConfigurationChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/PasswordChanged_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/PasswordChanged_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/RoleEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/RoleEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/RoleRemoved_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/RoleRemoved_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountRemoved_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountRemoved_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/RoleChanged_2_0_0_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/RoleChanged_2_0_0_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountAdded_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountAdded_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/RoleAdded_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/RoleAdded_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountRenamed_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountRenamed_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountChanged_3_0_0_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usermgmt/AccountChanged_3_0_0_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rawcfg/RawConfiguration_1_0_1/RawConfigUpdatedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rawcfg/RawConfiguration_1_0_1/RawConfigUpdatedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rawcfg/RawConfiguration_1_0_1/RawConfigDownloadedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rawcfg/RawConfiguration_1_0_1/RawConfigDownloadedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/datetime/DateTime_3_0_3/ConfigurationChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/datetime/DateTime_3_0_3/ConfigurationChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/datetime/DateTime_3_0_3/ClockChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/datetime/DateTime_3_0_3/ClockChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/idl/Event_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/idl/Event_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/bulkcfg/BulkConfiguration_1_0_2/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/bulkcfg/BulkConfiguration_1_0_2/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/bulkcfg/BulkConfiguration_1_0_2/RestoredEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/bulkcfg/BulkConfiguration_1_0_2/RestoredEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/bulkcfg/BulkConfiguration_1_0_2/SavedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/bulkcfg/BulkConfiguration_1_0_2/SavedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/SerialPort_3_0_1/ModemRemovedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/SerialPort_3_0_1/ModemRemovedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/SerialPort_3_0_1/ModemAddedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/SerialPort_3_0_1/ModemAddedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/SerialPort_3_0_1/ModemEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/SerialPort_3_0_1/ModemEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/AnalogModem/DialInEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/AnalogModem/DialInEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/AnalogModem/CallEndedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/AnalogModem/CallEndedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/AnalogModem/CallReceivedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/AnalogModem/CallReceivedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/GsmModem_1_0_2/SimPinUpdatedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/GsmModem_1_0_2/SimPinUpdatedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/GsmModem_1_0_2/SimSecurityStatusChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/serial/GsmModem_1_0_2/SimSecurityStatusChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usb/Usb_1_0_4/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/usb/Usb_1_0_4/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rdm/Rdm/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rdm/Rdm/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rdm/Rdm/ManagementStoppedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rdm/Rdm/ManagementStoppedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rdm/Rdm/StateChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/rdm/Rdm/StateChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/session/SessionManager_2_0_1/SessionClosedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/session/SessionManager_2_0_1/SessionClosedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/session/SessionManager_2_0_1/SessionCreatedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/session/SessionManager_2_0_1/SessionCreatedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/ValObjCodecRegistrar.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/ValObjCodecRegistrar.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/security/FrontPanelPrivilegesChanged_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/security/FrontPanelPrivilegesChanged_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/security/RestrictedServiceAgreementChanged_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/security/RestrictedServiceAgreementChanged_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/security/PasswordSettingsChanged_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/security/PasswordSettingsChanged_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/_event/UserEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/_event/UserEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/WlanInfoChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/WlanInfoChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/EthInfoChangedEvent_2_0_0_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/EthInfoChangedEvent_2_0_0_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/LinkStateChangedEvent_2_0_0_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/LinkStateChangedEvent_2_0_0_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/PortForwardingExpansionUnitPresenceStateChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/PortForwardingExpansionUnitPresenceStateChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/InterfaceInfoChangedEvent_3_0_0_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/InterfaceInfoChangedEvent_3_0_0_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/CommonInfoChangedEvent_2_0_0_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/CommonInfoChangedEvent_2_0_0_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/EthernetFailoverEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/net/EthernetFailoverEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/fitness/HardwareHealth_1_0_3/FailureStatusChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/fitness/HardwareHealth_1_0_3/FailureStatusChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/logging/EventLogClearedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/logging/EventLogClearedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/OutletPort/PowerStateChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/OutletPort/PowerStateChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/OutletPort/AssociatedAccessPortChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/OutletPort/AssociatedAccessPortChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/OutletPort/PowerOperationEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/OutletPort/PowerOperationEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDeviceManager/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDeviceManager/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDeviceManager/PowerDeviceChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDeviceManager/PowerDeviceChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDeviceManager/PowerDeviceRemovedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDeviceManager/PowerDeviceRemovedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDeviceManager/PowerDeviceAddedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDeviceManager/PowerDeviceAddedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/DsamDeviceManager/DeviceRemovedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/DsamDeviceManager/DeviceRemovedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/DsamDeviceManager/DeviceChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/DsamDeviceManager/DeviceChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/DsamDeviceManager/DeviceAttachedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/DsamDeviceManager/DeviceAttachedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/DsamDeviceManager/KeywordMappingChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/DsamDeviceManager/KeywordMappingChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/LocalPort/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/LocalPort/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmChannel/KvmSwitchEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmChannel/KvmSwitchEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmChannel/AttachedKvmPortChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmChannel/AttachedKvmPortChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmChannel/VideoResolutionChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmChannel/VideoResolutionChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerSupply/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerSupply/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerSupply/StatusChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerSupply/StatusChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/Device/NameChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/Device/NameChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/Device/StateChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/Device/StateChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/CimInfo_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/CimInfo_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/CimInfoChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/CimInfoChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/GroupInfo_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/GroupInfo_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/ActiveUsbProfileChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/ActiveUsbProfileChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/MultiMonitorGroupInfo_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/MultiMonitorGroupInfo_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/CapabilitiesChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/CapabilitiesChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/GroupInfoChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmPort/GroupInfoChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/TerminalBlock/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/TerminalBlock/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/TerminalBlock/StatusChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/TerminalBlock/StatusChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KeySetManager/KeySetsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KeySetManager/KeySetsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDevice/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PowerDevice/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/UsbProfilesChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/UsbProfilesChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/TemperatureChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/TemperatureChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/CustomEdidDataChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/CustomEdidDataChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/UsbProfileDeletedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/UsbProfileDeletedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/UsbProfileAddedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmDevice/UsbProfileAddedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/KvmAccessModeChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/KvmAccessModeChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/CimFirmwareUpdateCompletedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/CimFirmwareUpdateCompletedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/KvmSecuritySettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/KvmSecuritySettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/CimFirmwareUpdateEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/CimFirmwareUpdateEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/VirtualMediaSharesChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/VirtualMediaSharesChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/CimFirmwareUpdateStartedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/KvmManager/CimFirmwareUpdateStartedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/LocalMonitor/StatusChangeEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/LocalMonitor/StatusChangeEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/BasePort/NameChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/BasePort/NameChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroup/GroupConfig_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroup/GroupConfig_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroup/MultiMonitorConfig_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroup/MultiMonitorConfig_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroup/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroup/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/AutoScan/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/AutoScan/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/AutoScan/NfsStatusChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/AutoScan/NfsStatusChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroupManager/PortGroupCreatedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroupManager/PortGroupCreatedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroupManager/PortGroupDeletedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroupManager/PortGroupDeletedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroupManager/PortGroupListChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/PortGroupManager/PortGroupListChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/AccessPort/AssociatedOutletsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/AccessPort/AssociatedOutletsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/AccessPort/StatusChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/AccessPort/StatusChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/SerialAccessPort/SettingsChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/SerialAccessPort/SettingsChangedEvent_ValObjCodec.cs</Link>
    </Compile>
    <Compile Include="../_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/SerialAccessPort/DetectedInterfaceTypeChangedEvent_ValObjCodec.cs">
      <Link>_idlc_gen/dotnet/Com/Raritan/XerusKvm/JsonRpc/radm/SerialAccessPort/DetectedInterfaceTypeChangedEvent_ValObjCodec.cs</Link>
    </Compile>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>